Skip to content

Deprecated

thingiverse.api.deprecated

Contains endpoint functions for accessing the API

asyncio(*, client, page=UNSET, per_page=UNSET) async

Get the list of featured things

You can use GET /search with the is_featured=1 parameter now.

Parameters:

Name Type Description Default
page int | Unset

Example: 1.

UNSET
per_page int | Unset

Example: 30.

UNSET

Raises:

Type Description
UnexpectedStatus

If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.

TimeoutException

If the request takes longer than Client.timeout.

Returns:

Type Description
GetFeaturedResponse401 | GetFeaturedResponse403 | GetFeaturedResponse404 | list[FeaturedSchema] | None

GetFeaturedResponse401 | GetFeaturedResponse403 | GetFeaturedResponse404 | list[FeaturedSchema]

Source code in thingiverse/api/deprecated/get_featured.py
async def asyncio(
    *,
    client: AuthenticatedClient,
    page: int | Unset = UNSET,
    per_page: int | Unset = UNSET,
) -> (
    GetFeaturedResponse401
    | GetFeaturedResponse403
    | GetFeaturedResponse404
    | list[FeaturedSchema]
    | None
):
    """Get the list of featured things

     You can use `GET /search` with the `is_featured=1` parameter now.

    Args:
        page (int | Unset):  Example: 1.
        per_page (int | Unset):  Example: 30.

    Raises:
        errors.UnexpectedStatus: If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.
        httpx.TimeoutException: If the request takes longer than Client.timeout.

    Returns:
        GetFeaturedResponse401 | GetFeaturedResponse403 | GetFeaturedResponse404 | list[FeaturedSchema]
    """

    return (
        await asyncio_detailed(
            client=client,
            page=page,
            per_page=per_page,
        )
    ).parsed

asyncio_detailed(*, client, page=UNSET, per_page=UNSET) async

Get the list of featured things

You can use GET /search with the is_featured=1 parameter now.

Parameters:

Name Type Description Default
page int | Unset

Example: 1.

UNSET
per_page int | Unset

Example: 30.

UNSET

Raises:

Type Description
UnexpectedStatus

If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.

TimeoutException

If the request takes longer than Client.timeout.

Returns:

Type Description
Response[GetFeaturedResponse401 | GetFeaturedResponse403 | GetFeaturedResponse404 | list[FeaturedSchema]]

Response[GetFeaturedResponse401 | GetFeaturedResponse403 | GetFeaturedResponse404 | list[FeaturedSchema]]

Source code in thingiverse/api/deprecated/get_featured.py
async def asyncio_detailed(
    *,
    client: AuthenticatedClient,
    page: int | Unset = UNSET,
    per_page: int | Unset = UNSET,
) -> Response[
    GetFeaturedResponse401 | GetFeaturedResponse403 | GetFeaturedResponse404 | list[FeaturedSchema]
]:
    """Get the list of featured things

     You can use `GET /search` with the `is_featured=1` parameter now.

    Args:
        page (int | Unset):  Example: 1.
        per_page (int | Unset):  Example: 30.

    Raises:
        errors.UnexpectedStatus: If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.
        httpx.TimeoutException: If the request takes longer than Client.timeout.

    Returns:
        Response[GetFeaturedResponse401 | GetFeaturedResponse403 | GetFeaturedResponse404 | list[FeaturedSchema]]
    """

    kwargs = _get_kwargs(
        page=page,
        per_page=per_page,
    )

    response = await client.get_async_httpx_client().request(**kwargs)

    return _build_response(client=client, response=response)

sync(*, client, page=UNSET, per_page=UNSET)

Get the list of featured things

You can use GET /search with the is_featured=1 parameter now.

Parameters:

Name Type Description Default
page int | Unset

Example: 1.

UNSET
per_page int | Unset

Example: 30.

UNSET

Raises:

Type Description
UnexpectedStatus

If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.

TimeoutException

If the request takes longer than Client.timeout.

Returns:

Type Description
GetFeaturedResponse401 | GetFeaturedResponse403 | GetFeaturedResponse404 | list[FeaturedSchema] | None

GetFeaturedResponse401 | GetFeaturedResponse403 | GetFeaturedResponse404 | list[FeaturedSchema]

Source code in thingiverse/api/deprecated/get_featured.py
def sync(
    *,
    client: AuthenticatedClient,
    page: int | Unset = UNSET,
    per_page: int | Unset = UNSET,
) -> (
    GetFeaturedResponse401
    | GetFeaturedResponse403
    | GetFeaturedResponse404
    | list[FeaturedSchema]
    | None
):
    """Get the list of featured things

     You can use `GET /search` with the `is_featured=1` parameter now.

    Args:
        page (int | Unset):  Example: 1.
        per_page (int | Unset):  Example: 30.

    Raises:
        errors.UnexpectedStatus: If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.
        httpx.TimeoutException: If the request takes longer than Client.timeout.

    Returns:
        GetFeaturedResponse401 | GetFeaturedResponse403 | GetFeaturedResponse404 | list[FeaturedSchema]
    """

    return sync_detailed(
        client=client,
        page=page,
        per_page=per_page,
    ).parsed

sync_detailed(*, client, page=UNSET, per_page=UNSET)

Get the list of featured things

You can use GET /search with the is_featured=1 parameter now.

Parameters:

Name Type Description Default
page int | Unset

Example: 1.

UNSET
per_page int | Unset

Example: 30.

UNSET

Raises:

Type Description
UnexpectedStatus

If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.

TimeoutException

If the request takes longer than Client.timeout.

Returns:

Type Description
Response[GetFeaturedResponse401 | GetFeaturedResponse403 | GetFeaturedResponse404 | list[FeaturedSchema]]

Response[GetFeaturedResponse401 | GetFeaturedResponse403 | GetFeaturedResponse404 | list[FeaturedSchema]]

Source code in thingiverse/api/deprecated/get_featured.py
def sync_detailed(
    *,
    client: AuthenticatedClient,
    page: int | Unset = UNSET,
    per_page: int | Unset = UNSET,
) -> Response[
    GetFeaturedResponse401 | GetFeaturedResponse403 | GetFeaturedResponse404 | list[FeaturedSchema]
]:
    """Get the list of featured things

     You can use `GET /search` with the `is_featured=1` parameter now.

    Args:
        page (int | Unset):  Example: 1.
        per_page (int | Unset):  Example: 30.

    Raises:
        errors.UnexpectedStatus: If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.
        httpx.TimeoutException: If the request takes longer than Client.timeout.

    Returns:
        Response[GetFeaturedResponse401 | GetFeaturedResponse403 | GetFeaturedResponse404 | list[FeaturedSchema]]
    """

    kwargs = _get_kwargs(
        page=page,
        per_page=per_page,
    )

    response = client.get_httpx_client().request(
        **kwargs,
    )

    return _build_response(client=client, response=response)

get_files_file_id_finalize

asyncio(file_id, *, client) async

Finalize an uploaded file. DEPRECATED.

Parameters:

Name Type Description Default
file_id int

Example: 1.

required

Raises:

Type Description
UnexpectedStatus

If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.

TimeoutException

If the request takes longer than Client.timeout.

Returns:

Type Description
Any | GetFilesFileIdFinalizeResponse401 | GetFilesFileIdFinalizeResponse403 | GetFilesFileIdFinalizeResponse404 | None

Any | GetFilesFileIdFinalizeResponse401 | GetFilesFileIdFinalizeResponse403 | GetFilesFileIdFinalizeResponse404

Source code in thingiverse/api/deprecated/get_files_file_id_finalize.py
async def asyncio(
    file_id: int,
    *,
    client: AuthenticatedClient,
) -> (
    Any
    | GetFilesFileIdFinalizeResponse401
    | GetFilesFileIdFinalizeResponse403
    | GetFilesFileIdFinalizeResponse404
    | None
):
    """Finalize an uploaded file. DEPRECATED.

    Args:
        file_id (int):  Example: 1.

    Raises:
        errors.UnexpectedStatus: If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.
        httpx.TimeoutException: If the request takes longer than Client.timeout.

    Returns:
        Any | GetFilesFileIdFinalizeResponse401 | GetFilesFileIdFinalizeResponse403 | GetFilesFileIdFinalizeResponse404
    """

    return (
        await asyncio_detailed(
            file_id=file_id,
            client=client,
        )
    ).parsed

asyncio_detailed(file_id, *, client) async

Finalize an uploaded file. DEPRECATED.

Parameters:

Name Type Description Default
file_id int

Example: 1.

required

Raises:

Type Description
UnexpectedStatus

If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.

TimeoutException

If the request takes longer than Client.timeout.

Returns:

Type Description
Response[Any | GetFilesFileIdFinalizeResponse401 | GetFilesFileIdFinalizeResponse403 | GetFilesFileIdFinalizeResponse404]

Response[Any | GetFilesFileIdFinalizeResponse401 | GetFilesFileIdFinalizeResponse403 | GetFilesFileIdFinalizeResponse404]

Source code in thingiverse/api/deprecated/get_files_file_id_finalize.py
async def asyncio_detailed(
    file_id: int,
    *,
    client: AuthenticatedClient,
) -> Response[
    Any
    | GetFilesFileIdFinalizeResponse401
    | GetFilesFileIdFinalizeResponse403
    | GetFilesFileIdFinalizeResponse404
]:
    """Finalize an uploaded file. DEPRECATED.

    Args:
        file_id (int):  Example: 1.

    Raises:
        errors.UnexpectedStatus: If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.
        httpx.TimeoutException: If the request takes longer than Client.timeout.

    Returns:
        Response[Any | GetFilesFileIdFinalizeResponse401 | GetFilesFileIdFinalizeResponse403 | GetFilesFileIdFinalizeResponse404]
    """

    kwargs = _get_kwargs(
        file_id=file_id,
    )

    response = await client.get_async_httpx_client().request(**kwargs)

    return _build_response(client=client, response=response)

sync(file_id, *, client)

Finalize an uploaded file. DEPRECATED.

Parameters:

Name Type Description Default
file_id int

Example: 1.

required

Raises:

Type Description
UnexpectedStatus

If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.

TimeoutException

If the request takes longer than Client.timeout.

Returns:

Type Description
Any | GetFilesFileIdFinalizeResponse401 | GetFilesFileIdFinalizeResponse403 | GetFilesFileIdFinalizeResponse404 | None

Any | GetFilesFileIdFinalizeResponse401 | GetFilesFileIdFinalizeResponse403 | GetFilesFileIdFinalizeResponse404

Source code in thingiverse/api/deprecated/get_files_file_id_finalize.py
def sync(
    file_id: int,
    *,
    client: AuthenticatedClient,
) -> (
    Any
    | GetFilesFileIdFinalizeResponse401
    | GetFilesFileIdFinalizeResponse403
    | GetFilesFileIdFinalizeResponse404
    | None
):
    """Finalize an uploaded file. DEPRECATED.

    Args:
        file_id (int):  Example: 1.

    Raises:
        errors.UnexpectedStatus: If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.
        httpx.TimeoutException: If the request takes longer than Client.timeout.

    Returns:
        Any | GetFilesFileIdFinalizeResponse401 | GetFilesFileIdFinalizeResponse403 | GetFilesFileIdFinalizeResponse404
    """

    return sync_detailed(
        file_id=file_id,
        client=client,
    ).parsed

sync_detailed(file_id, *, client)

Finalize an uploaded file. DEPRECATED.

Parameters:

Name Type Description Default
file_id int

Example: 1.

required

Raises:

Type Description
UnexpectedStatus

If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.

TimeoutException

If the request takes longer than Client.timeout.

Returns:

Type Description
Response[Any | GetFilesFileIdFinalizeResponse401 | GetFilesFileIdFinalizeResponse403 | GetFilesFileIdFinalizeResponse404]

Response[Any | GetFilesFileIdFinalizeResponse401 | GetFilesFileIdFinalizeResponse403 | GetFilesFileIdFinalizeResponse404]

Source code in thingiverse/api/deprecated/get_files_file_id_finalize.py
def sync_detailed(
    file_id: int,
    *,
    client: AuthenticatedClient,
) -> Response[
    Any
    | GetFilesFileIdFinalizeResponse401
    | GetFilesFileIdFinalizeResponse403
    | GetFilesFileIdFinalizeResponse404
]:
    """Finalize an uploaded file. DEPRECATED.

    Args:
        file_id (int):  Example: 1.

    Raises:
        errors.UnexpectedStatus: If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.
        httpx.TimeoutException: If the request takes longer than Client.timeout.

    Returns:
        Response[Any | GetFilesFileIdFinalizeResponse401 | GetFilesFileIdFinalizeResponse403 | GetFilesFileIdFinalizeResponse404]
    """

    kwargs = _get_kwargs(
        file_id=file_id,
    )

    response = client.get_httpx_client().request(
        **kwargs,
    )

    return _build_response(client=client, response=response)

get_newest

asyncio(*, client, page=UNSET, per_page=UNSET) async

Get a list of the latest things

You can use GET /search with the sort=newest parameter now.

Parameters:

Name Type Description Default
page int | Unset

Example: 1.

UNSET
per_page int | Unset

Example: 30.

UNSET

Raises:

Type Description
UnexpectedStatus

If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.

TimeoutException

If the request takes longer than Client.timeout.

Returns:

Type Description
GetNewestResponse401 | GetNewestResponse403 | GetNewestResponse404 | list[ShortThingSchema] | None

GetNewestResponse401 | GetNewestResponse403 | GetNewestResponse404 | list[ShortThingSchema]

Source code in thingiverse/api/deprecated/get_newest.py
async def asyncio(
    *,
    client: AuthenticatedClient,
    page: int | Unset = UNSET,
    per_page: int | Unset = UNSET,
) -> (
    GetNewestResponse401
    | GetNewestResponse403
    | GetNewestResponse404
    | list[ShortThingSchema]
    | None
):
    """Get a list of the latest things

     You can use `GET /search` with the `sort=newest` parameter now.

    Args:
        page (int | Unset):  Example: 1.
        per_page (int | Unset):  Example: 30.

    Raises:
        errors.UnexpectedStatus: If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.
        httpx.TimeoutException: If the request takes longer than Client.timeout.

    Returns:
        GetNewestResponse401 | GetNewestResponse403 | GetNewestResponse404 | list[ShortThingSchema]
    """

    return (
        await asyncio_detailed(
            client=client,
            page=page,
            per_page=per_page,
        )
    ).parsed

asyncio_detailed(*, client, page=UNSET, per_page=UNSET) async

Get a list of the latest things

You can use GET /search with the sort=newest parameter now.

Parameters:

Name Type Description Default
page int | Unset

Example: 1.

UNSET
per_page int | Unset

Example: 30.

UNSET

Raises:

Type Description
UnexpectedStatus

If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.

TimeoutException

If the request takes longer than Client.timeout.

Returns:

Type Description
Response[GetNewestResponse401 | GetNewestResponse403 | GetNewestResponse404 | list[ShortThingSchema]]

Response[GetNewestResponse401 | GetNewestResponse403 | GetNewestResponse404 | list[ShortThingSchema]]

Source code in thingiverse/api/deprecated/get_newest.py
async def asyncio_detailed(
    *,
    client: AuthenticatedClient,
    page: int | Unset = UNSET,
    per_page: int | Unset = UNSET,
) -> Response[
    GetNewestResponse401 | GetNewestResponse403 | GetNewestResponse404 | list[ShortThingSchema]
]:
    """Get a list of the latest things

     You can use `GET /search` with the `sort=newest` parameter now.

    Args:
        page (int | Unset):  Example: 1.
        per_page (int | Unset):  Example: 30.

    Raises:
        errors.UnexpectedStatus: If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.
        httpx.TimeoutException: If the request takes longer than Client.timeout.

    Returns:
        Response[GetNewestResponse401 | GetNewestResponse403 | GetNewestResponse404 | list[ShortThingSchema]]
    """

    kwargs = _get_kwargs(
        page=page,
        per_page=per_page,
    )

    response = await client.get_async_httpx_client().request(**kwargs)

    return _build_response(client=client, response=response)

sync(*, client, page=UNSET, per_page=UNSET)

Get a list of the latest things

You can use GET /search with the sort=newest parameter now.

Parameters:

Name Type Description Default
page int | Unset

Example: 1.

UNSET
per_page int | Unset

Example: 30.

UNSET

Raises:

Type Description
UnexpectedStatus

If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.

TimeoutException

If the request takes longer than Client.timeout.

Returns:

Type Description
GetNewestResponse401 | GetNewestResponse403 | GetNewestResponse404 | list[ShortThingSchema] | None

GetNewestResponse401 | GetNewestResponse403 | GetNewestResponse404 | list[ShortThingSchema]

Source code in thingiverse/api/deprecated/get_newest.py
def sync(
    *,
    client: AuthenticatedClient,
    page: int | Unset = UNSET,
    per_page: int | Unset = UNSET,
) -> (
    GetNewestResponse401
    | GetNewestResponse403
    | GetNewestResponse404
    | list[ShortThingSchema]
    | None
):
    """Get a list of the latest things

     You can use `GET /search` with the `sort=newest` parameter now.

    Args:
        page (int | Unset):  Example: 1.
        per_page (int | Unset):  Example: 30.

    Raises:
        errors.UnexpectedStatus: If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.
        httpx.TimeoutException: If the request takes longer than Client.timeout.

    Returns:
        GetNewestResponse401 | GetNewestResponse403 | GetNewestResponse404 | list[ShortThingSchema]
    """

    return sync_detailed(
        client=client,
        page=page,
        per_page=per_page,
    ).parsed

sync_detailed(*, client, page=UNSET, per_page=UNSET)

Get a list of the latest things

You can use GET /search with the sort=newest parameter now.

Parameters:

Name Type Description Default
page int | Unset

Example: 1.

UNSET
per_page int | Unset

Example: 30.

UNSET

Raises:

Type Description
UnexpectedStatus

If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.

TimeoutException

If the request takes longer than Client.timeout.

Returns:

Type Description
Response[GetNewestResponse401 | GetNewestResponse403 | GetNewestResponse404 | list[ShortThingSchema]]

Response[GetNewestResponse401 | GetNewestResponse403 | GetNewestResponse404 | list[ShortThingSchema]]

Source code in thingiverse/api/deprecated/get_newest.py
def sync_detailed(
    *,
    client: AuthenticatedClient,
    page: int | Unset = UNSET,
    per_page: int | Unset = UNSET,
) -> Response[
    GetNewestResponse401 | GetNewestResponse403 | GetNewestResponse404 | list[ShortThingSchema]
]:
    """Get a list of the latest things

     You can use `GET /search` with the `sort=newest` parameter now.

    Args:
        page (int | Unset):  Example: 1.
        per_page (int | Unset):  Example: 30.

    Raises:
        errors.UnexpectedStatus: If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.
        httpx.TimeoutException: If the request takes longer than Client.timeout.

    Returns:
        Response[GetNewestResponse401 | GetNewestResponse403 | GetNewestResponse404 | list[ShortThingSchema]]
    """

    kwargs = _get_kwargs(
        page=page,
        per_page=per_page,
    )

    response = client.get_httpx_client().request(
        **kwargs,
    )

    return _build_response(client=client, response=response)

asyncio(*, client, page=UNSET, per_page=UNSET) async

Get the most popular things

You can use GET /search with the sort=popular parameter now.

Parameters:

Name Type Description Default
page int | Unset

Example: 1.

UNSET
per_page int | Unset

Example: 30.

UNSET

Raises:

Type Description
UnexpectedStatus

If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.

TimeoutException

If the request takes longer than Client.timeout.

Returns:

Type Description
GetPopularResponse401 | GetPopularResponse403 | GetPopularResponse404 | list[ShortThingSchema] | None

GetPopularResponse401 | GetPopularResponse403 | GetPopularResponse404 | list[ShortThingSchema]

Source code in thingiverse/api/deprecated/get_popular.py
async def asyncio(
    *,
    client: AuthenticatedClient,
    page: int | Unset = UNSET,
    per_page: int | Unset = UNSET,
) -> (
    GetPopularResponse401
    | GetPopularResponse403
    | GetPopularResponse404
    | list[ShortThingSchema]
    | None
):
    """Get the most popular things

     You can use `GET /search` with the `sort=popular` parameter now.

    Args:
        page (int | Unset):  Example: 1.
        per_page (int | Unset):  Example: 30.

    Raises:
        errors.UnexpectedStatus: If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.
        httpx.TimeoutException: If the request takes longer than Client.timeout.

    Returns:
        GetPopularResponse401 | GetPopularResponse403 | GetPopularResponse404 | list[ShortThingSchema]
    """

    return (
        await asyncio_detailed(
            client=client,
            page=page,
            per_page=per_page,
        )
    ).parsed

asyncio_detailed(*, client, page=UNSET, per_page=UNSET) async

Get the most popular things

You can use GET /search with the sort=popular parameter now.

Parameters:

Name Type Description Default
page int | Unset

Example: 1.

UNSET
per_page int | Unset

Example: 30.

UNSET

Raises:

Type Description
UnexpectedStatus

If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.

TimeoutException

If the request takes longer than Client.timeout.

Returns:

Type Description
Response[GetPopularResponse401 | GetPopularResponse403 | GetPopularResponse404 | list[ShortThingSchema]]

Response[GetPopularResponse401 | GetPopularResponse403 | GetPopularResponse404 | list[ShortThingSchema]]

Source code in thingiverse/api/deprecated/get_popular.py
async def asyncio_detailed(
    *,
    client: AuthenticatedClient,
    page: int | Unset = UNSET,
    per_page: int | Unset = UNSET,
) -> Response[
    GetPopularResponse401 | GetPopularResponse403 | GetPopularResponse404 | list[ShortThingSchema]
]:
    """Get the most popular things

     You can use `GET /search` with the `sort=popular` parameter now.

    Args:
        page (int | Unset):  Example: 1.
        per_page (int | Unset):  Example: 30.

    Raises:
        errors.UnexpectedStatus: If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.
        httpx.TimeoutException: If the request takes longer than Client.timeout.

    Returns:
        Response[GetPopularResponse401 | GetPopularResponse403 | GetPopularResponse404 | list[ShortThingSchema]]
    """

    kwargs = _get_kwargs(
        page=page,
        per_page=per_page,
    )

    response = await client.get_async_httpx_client().request(**kwargs)

    return _build_response(client=client, response=response)

sync(*, client, page=UNSET, per_page=UNSET)

Get the most popular things

You can use GET /search with the sort=popular parameter now.

Parameters:

Name Type Description Default
page int | Unset

Example: 1.

UNSET
per_page int | Unset

Example: 30.

UNSET

Raises:

Type Description
UnexpectedStatus

If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.

TimeoutException

If the request takes longer than Client.timeout.

Returns:

Type Description
GetPopularResponse401 | GetPopularResponse403 | GetPopularResponse404 | list[ShortThingSchema] | None

GetPopularResponse401 | GetPopularResponse403 | GetPopularResponse404 | list[ShortThingSchema]

Source code in thingiverse/api/deprecated/get_popular.py
def sync(
    *,
    client: AuthenticatedClient,
    page: int | Unset = UNSET,
    per_page: int | Unset = UNSET,
) -> (
    GetPopularResponse401
    | GetPopularResponse403
    | GetPopularResponse404
    | list[ShortThingSchema]
    | None
):
    """Get the most popular things

     You can use `GET /search` with the `sort=popular` parameter now.

    Args:
        page (int | Unset):  Example: 1.
        per_page (int | Unset):  Example: 30.

    Raises:
        errors.UnexpectedStatus: If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.
        httpx.TimeoutException: If the request takes longer than Client.timeout.

    Returns:
        GetPopularResponse401 | GetPopularResponse403 | GetPopularResponse404 | list[ShortThingSchema]
    """

    return sync_detailed(
        client=client,
        page=page,
        per_page=per_page,
    ).parsed

sync_detailed(*, client, page=UNSET, per_page=UNSET)

Get the most popular things

You can use GET /search with the sort=popular parameter now.

Parameters:

Name Type Description Default
page int | Unset

Example: 1.

UNSET
per_page int | Unset

Example: 30.

UNSET

Raises:

Type Description
UnexpectedStatus

If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.

TimeoutException

If the request takes longer than Client.timeout.

Returns:

Type Description
Response[GetPopularResponse401 | GetPopularResponse403 | GetPopularResponse404 | list[ShortThingSchema]]

Response[GetPopularResponse401 | GetPopularResponse403 | GetPopularResponse404 | list[ShortThingSchema]]

Source code in thingiverse/api/deprecated/get_popular.py
def sync_detailed(
    *,
    client: AuthenticatedClient,
    page: int | Unset = UNSET,
    per_page: int | Unset = UNSET,
) -> Response[
    GetPopularResponse401 | GetPopularResponse403 | GetPopularResponse404 | list[ShortThingSchema]
]:
    """Get the most popular things

     You can use `GET /search` with the `sort=popular` parameter now.

    Args:
        page (int | Unset):  Example: 1.
        per_page (int | Unset):  Example: 30.

    Raises:
        errors.UnexpectedStatus: If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.
        httpx.TimeoutException: If the request takes longer than Client.timeout.

    Returns:
        Response[GetPopularResponse401 | GetPopularResponse403 | GetPopularResponse404 | list[ShortThingSchema]]
    """

    kwargs = _get_kwargs(
        page=page,
        per_page=per_page,
    )

    response = client.get_httpx_client().request(
        **kwargs,
    )

    return _build_response(client=client, response=response)

post_files_0_finalize_files

asyncio(*, client, body=UNSET) async

Finalize multiple uploaded files. DEPRECATED, use FinalizeFiles endpoint instead

Finalize multiple \"pendingUploads\" at once by associating them with something (Thing/make/comment). In order to use this, you will need to first use the uploadFile endpoint

Parameters:

Name Type Description Default
body Any | Unset
UNSET

Raises:

Type Description
UnexpectedStatus

If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.

TimeoutException

If the request takes longer than Client.timeout.

Returns:

Type Description
PostFiles0FinalizeFilesResponse200 | PostFiles0FinalizeFilesResponse400 | PostFiles0FinalizeFilesResponse401 | PostFiles0FinalizeFilesResponse403 | PostFiles0FinalizeFilesResponse404 | None

PostFiles0FinalizeFilesResponse200 | PostFiles0FinalizeFilesResponse400 | PostFiles0FinalizeFilesResponse401 | PostFiles0FinalizeFilesResponse403 | PostFiles0FinalizeFilesResponse404

Source code in thingiverse/api/deprecated/post_files_0_finalize_files.py
async def asyncio(
    *,
    client: AuthenticatedClient,
    body: Any | Unset = UNSET,
) -> (
    PostFiles0FinalizeFilesResponse200
    | PostFiles0FinalizeFilesResponse400
    | PostFiles0FinalizeFilesResponse401
    | PostFiles0FinalizeFilesResponse403
    | PostFiles0FinalizeFilesResponse404
    | None
):
    r"""Finalize multiple uploaded files. DEPRECATED, use FinalizeFiles endpoint instead

     Finalize multiple \"pendingUploads\" at once by associating them with something
    (Thing/make/comment). In order to use this, you will need to first use the uploadFile endpoint

    Args:
        body (Any | Unset):

    Raises:
        errors.UnexpectedStatus: If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.
        httpx.TimeoutException: If the request takes longer than Client.timeout.

    Returns:
        PostFiles0FinalizeFilesResponse200 | PostFiles0FinalizeFilesResponse400 | PostFiles0FinalizeFilesResponse401 | PostFiles0FinalizeFilesResponse403 | PostFiles0FinalizeFilesResponse404
    """

    return (
        await asyncio_detailed(
            client=client,
            body=body,
        )
    ).parsed

asyncio_detailed(*, client, body=UNSET) async

Finalize multiple uploaded files. DEPRECATED, use FinalizeFiles endpoint instead

Finalize multiple \"pendingUploads\" at once by associating them with something (Thing/make/comment). In order to use this, you will need to first use the uploadFile endpoint

Parameters:

Name Type Description Default
body Any | Unset
UNSET

Raises:

Type Description
UnexpectedStatus

If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.

TimeoutException

If the request takes longer than Client.timeout.

Returns:

Type Description
Response[PostFiles0FinalizeFilesResponse200 | PostFiles0FinalizeFilesResponse400 | PostFiles0FinalizeFilesResponse401 | PostFiles0FinalizeFilesResponse403 | PostFiles0FinalizeFilesResponse404]

Response[PostFiles0FinalizeFilesResponse200 | PostFiles0FinalizeFilesResponse400 | PostFiles0FinalizeFilesResponse401 | PostFiles0FinalizeFilesResponse403 | PostFiles0FinalizeFilesResponse404]

Source code in thingiverse/api/deprecated/post_files_0_finalize_files.py
async def asyncio_detailed(
    *,
    client: AuthenticatedClient,
    body: Any | Unset = UNSET,
) -> Response[
    PostFiles0FinalizeFilesResponse200
    | PostFiles0FinalizeFilesResponse400
    | PostFiles0FinalizeFilesResponse401
    | PostFiles0FinalizeFilesResponse403
    | PostFiles0FinalizeFilesResponse404
]:
    r"""Finalize multiple uploaded files. DEPRECATED, use FinalizeFiles endpoint instead

     Finalize multiple \"pendingUploads\" at once by associating them with something
    (Thing/make/comment). In order to use this, you will need to first use the uploadFile endpoint

    Args:
        body (Any | Unset):

    Raises:
        errors.UnexpectedStatus: If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.
        httpx.TimeoutException: If the request takes longer than Client.timeout.

    Returns:
        Response[PostFiles0FinalizeFilesResponse200 | PostFiles0FinalizeFilesResponse400 | PostFiles0FinalizeFilesResponse401 | PostFiles0FinalizeFilesResponse403 | PostFiles0FinalizeFilesResponse404]
    """

    kwargs = _get_kwargs(
        body=body,
    )

    response = await client.get_async_httpx_client().request(**kwargs)

    return _build_response(client=client, response=response)

sync(*, client, body=UNSET)

Finalize multiple uploaded files. DEPRECATED, use FinalizeFiles endpoint instead

Finalize multiple \"pendingUploads\" at once by associating them with something (Thing/make/comment). In order to use this, you will need to first use the uploadFile endpoint

Parameters:

Name Type Description Default
body Any | Unset
UNSET

Raises:

Type Description
UnexpectedStatus

If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.

TimeoutException

If the request takes longer than Client.timeout.

Returns:

Type Description
PostFiles0FinalizeFilesResponse200 | PostFiles0FinalizeFilesResponse400 | PostFiles0FinalizeFilesResponse401 | PostFiles0FinalizeFilesResponse403 | PostFiles0FinalizeFilesResponse404 | None

PostFiles0FinalizeFilesResponse200 | PostFiles0FinalizeFilesResponse400 | PostFiles0FinalizeFilesResponse401 | PostFiles0FinalizeFilesResponse403 | PostFiles0FinalizeFilesResponse404

Source code in thingiverse/api/deprecated/post_files_0_finalize_files.py
def sync(
    *,
    client: AuthenticatedClient,
    body: Any | Unset = UNSET,
) -> (
    PostFiles0FinalizeFilesResponse200
    | PostFiles0FinalizeFilesResponse400
    | PostFiles0FinalizeFilesResponse401
    | PostFiles0FinalizeFilesResponse403
    | PostFiles0FinalizeFilesResponse404
    | None
):
    r"""Finalize multiple uploaded files. DEPRECATED, use FinalizeFiles endpoint instead

     Finalize multiple \"pendingUploads\" at once by associating them with something
    (Thing/make/comment). In order to use this, you will need to first use the uploadFile endpoint

    Args:
        body (Any | Unset):

    Raises:
        errors.UnexpectedStatus: If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.
        httpx.TimeoutException: If the request takes longer than Client.timeout.

    Returns:
        PostFiles0FinalizeFilesResponse200 | PostFiles0FinalizeFilesResponse400 | PostFiles0FinalizeFilesResponse401 | PostFiles0FinalizeFilesResponse403 | PostFiles0FinalizeFilesResponse404
    """

    return sync_detailed(
        client=client,
        body=body,
    ).parsed

sync_detailed(*, client, body=UNSET)

Finalize multiple uploaded files. DEPRECATED, use FinalizeFiles endpoint instead

Finalize multiple \"pendingUploads\" at once by associating them with something (Thing/make/comment). In order to use this, you will need to first use the uploadFile endpoint

Parameters:

Name Type Description Default
body Any | Unset
UNSET

Raises:

Type Description
UnexpectedStatus

If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.

TimeoutException

If the request takes longer than Client.timeout.

Returns:

Type Description
Response[PostFiles0FinalizeFilesResponse200 | PostFiles0FinalizeFilesResponse400 | PostFiles0FinalizeFilesResponse401 | PostFiles0FinalizeFilesResponse403 | PostFiles0FinalizeFilesResponse404]

Response[PostFiles0FinalizeFilesResponse200 | PostFiles0FinalizeFilesResponse400 | PostFiles0FinalizeFilesResponse401 | PostFiles0FinalizeFilesResponse403 | PostFiles0FinalizeFilesResponse404]

Source code in thingiverse/api/deprecated/post_files_0_finalize_files.py
def sync_detailed(
    *,
    client: AuthenticatedClient,
    body: Any | Unset = UNSET,
) -> Response[
    PostFiles0FinalizeFilesResponse200
    | PostFiles0FinalizeFilesResponse400
    | PostFiles0FinalizeFilesResponse401
    | PostFiles0FinalizeFilesResponse403
    | PostFiles0FinalizeFilesResponse404
]:
    r"""Finalize multiple uploaded files. DEPRECATED, use FinalizeFiles endpoint instead

     Finalize multiple \"pendingUploads\" at once by associating them with something
    (Thing/make/comment). In order to use this, you will need to first use the uploadFile endpoint

    Args:
        body (Any | Unset):

    Raises:
        errors.UnexpectedStatus: If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.
        httpx.TimeoutException: If the request takes longer than Client.timeout.

    Returns:
        Response[PostFiles0FinalizeFilesResponse200 | PostFiles0FinalizeFilesResponse400 | PostFiles0FinalizeFilesResponse401 | PostFiles0FinalizeFilesResponse403 | PostFiles0FinalizeFilesResponse404]
    """

    kwargs = _get_kwargs(
        body=body,
    )

    response = client.get_httpx_client().request(
        **kwargs,
    )

    return _build_response(client=client, response=response)

post_files_file_id_finalize

asyncio(file_id, *, client) async

Finalize an uploaded file. DEPRECATED, use FinalizeFiles endpoint instead

Parameters:

Name Type Description Default
file_id int

Example: 1.

required

Raises:

Type Description
UnexpectedStatus

If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.

TimeoutException

If the request takes longer than Client.timeout.

Returns:

Type Description
FileSchema | PostFilesFileIdFinalizeResponse401 | PostFilesFileIdFinalizeResponse403 | PostFilesFileIdFinalizeResponse404 | None

FileSchema | PostFilesFileIdFinalizeResponse401 | PostFilesFileIdFinalizeResponse403 | PostFilesFileIdFinalizeResponse404

Source code in thingiverse/api/deprecated/post_files_file_id_finalize.py
async def asyncio(
    file_id: int,
    *,
    client: AuthenticatedClient,
) -> (
    FileSchema
    | PostFilesFileIdFinalizeResponse401
    | PostFilesFileIdFinalizeResponse403
    | PostFilesFileIdFinalizeResponse404
    | None
):
    """Finalize an uploaded file. DEPRECATED, use FinalizeFiles endpoint instead

    Args:
        file_id (int):  Example: 1.

    Raises:
        errors.UnexpectedStatus: If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.
        httpx.TimeoutException: If the request takes longer than Client.timeout.

    Returns:
        FileSchema | PostFilesFileIdFinalizeResponse401 | PostFilesFileIdFinalizeResponse403 | PostFilesFileIdFinalizeResponse404
    """

    return (
        await asyncio_detailed(
            file_id=file_id,
            client=client,
        )
    ).parsed

asyncio_detailed(file_id, *, client) async

Finalize an uploaded file. DEPRECATED, use FinalizeFiles endpoint instead

Parameters:

Name Type Description Default
file_id int

Example: 1.

required

Raises:

Type Description
UnexpectedStatus

If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.

TimeoutException

If the request takes longer than Client.timeout.

Returns:

Type Description
Response[FileSchema | PostFilesFileIdFinalizeResponse401 | PostFilesFileIdFinalizeResponse403 | PostFilesFileIdFinalizeResponse404]

Response[FileSchema | PostFilesFileIdFinalizeResponse401 | PostFilesFileIdFinalizeResponse403 | PostFilesFileIdFinalizeResponse404]

Source code in thingiverse/api/deprecated/post_files_file_id_finalize.py
async def asyncio_detailed(
    file_id: int,
    *,
    client: AuthenticatedClient,
) -> Response[
    FileSchema
    | PostFilesFileIdFinalizeResponse401
    | PostFilesFileIdFinalizeResponse403
    | PostFilesFileIdFinalizeResponse404
]:
    """Finalize an uploaded file. DEPRECATED, use FinalizeFiles endpoint instead

    Args:
        file_id (int):  Example: 1.

    Raises:
        errors.UnexpectedStatus: If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.
        httpx.TimeoutException: If the request takes longer than Client.timeout.

    Returns:
        Response[FileSchema | PostFilesFileIdFinalizeResponse401 | PostFilesFileIdFinalizeResponse403 | PostFilesFileIdFinalizeResponse404]
    """

    kwargs = _get_kwargs(
        file_id=file_id,
    )

    response = await client.get_async_httpx_client().request(**kwargs)

    return _build_response(client=client, response=response)

sync(file_id, *, client)

Finalize an uploaded file. DEPRECATED, use FinalizeFiles endpoint instead

Parameters:

Name Type Description Default
file_id int

Example: 1.

required

Raises:

Type Description
UnexpectedStatus

If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.

TimeoutException

If the request takes longer than Client.timeout.

Returns:

Type Description
FileSchema | PostFilesFileIdFinalizeResponse401 | PostFilesFileIdFinalizeResponse403 | PostFilesFileIdFinalizeResponse404 | None

FileSchema | PostFilesFileIdFinalizeResponse401 | PostFilesFileIdFinalizeResponse403 | PostFilesFileIdFinalizeResponse404

Source code in thingiverse/api/deprecated/post_files_file_id_finalize.py
def sync(
    file_id: int,
    *,
    client: AuthenticatedClient,
) -> (
    FileSchema
    | PostFilesFileIdFinalizeResponse401
    | PostFilesFileIdFinalizeResponse403
    | PostFilesFileIdFinalizeResponse404
    | None
):
    """Finalize an uploaded file. DEPRECATED, use FinalizeFiles endpoint instead

    Args:
        file_id (int):  Example: 1.

    Raises:
        errors.UnexpectedStatus: If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.
        httpx.TimeoutException: If the request takes longer than Client.timeout.

    Returns:
        FileSchema | PostFilesFileIdFinalizeResponse401 | PostFilesFileIdFinalizeResponse403 | PostFilesFileIdFinalizeResponse404
    """

    return sync_detailed(
        file_id=file_id,
        client=client,
    ).parsed

sync_detailed(file_id, *, client)

Finalize an uploaded file. DEPRECATED, use FinalizeFiles endpoint instead

Parameters:

Name Type Description Default
file_id int

Example: 1.

required

Raises:

Type Description
UnexpectedStatus

If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.

TimeoutException

If the request takes longer than Client.timeout.

Returns:

Type Description
Response[FileSchema | PostFilesFileIdFinalizeResponse401 | PostFilesFileIdFinalizeResponse403 | PostFilesFileIdFinalizeResponse404]

Response[FileSchema | PostFilesFileIdFinalizeResponse401 | PostFilesFileIdFinalizeResponse403 | PostFilesFileIdFinalizeResponse404]

Source code in thingiverse/api/deprecated/post_files_file_id_finalize.py
def sync_detailed(
    file_id: int,
    *,
    client: AuthenticatedClient,
) -> Response[
    FileSchema
    | PostFilesFileIdFinalizeResponse401
    | PostFilesFileIdFinalizeResponse403
    | PostFilesFileIdFinalizeResponse404
]:
    """Finalize an uploaded file. DEPRECATED, use FinalizeFiles endpoint instead

    Args:
        file_id (int):  Example: 1.

    Raises:
        errors.UnexpectedStatus: If the server returns an undocumented status code and Client.raise_on_unexpected_status is True.
        httpx.TimeoutException: If the request takes longer than Client.timeout.

    Returns:
        Response[FileSchema | PostFilesFileIdFinalizeResponse401 | PostFilesFileIdFinalizeResponse403 | PostFilesFileIdFinalizeResponse404]
    """

    kwargs = _get_kwargs(
        file_id=file_id,
    )

    response = client.get_httpx_client().request(
        **kwargs,
    )

    return _build_response(client=client, response=response)